Bug 926871 - [abrt] download_packages:AttributeError: 'Repo' object has no attribute 'cache'
Summary: [abrt] download_packages:AttributeError: 'Repo' object has no attribute 'cache'
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
(Show other bugs)
Version: 19
Hardware: x86_64 Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ales Kozumplik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2043228ee9102da896391b0d16f...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-23 17:20 UTC by Vadim Rutkovsky
Modified: 2014-09-30 23:41 UTC (History)
2 users (show)

Fixed In Version: dnf-0.3.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-25 10:19:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (5.56 KB, text/plain)
2013-03-23 17:20 UTC, Vadim Rutkovsky
no flags Details
File: core_backtrace (502 bytes, text/plain)
2013-03-23 17:20 UTC, Vadim Rutkovsky
no flags Details
File: environ (1.97 KB, text/plain)
2013-03-23 17:20 UTC, Vadim Rutkovsky
no flags Details

Description Vadim Rutkovsky 2013-03-23 17:20:33 UTC
Description of problem:
Ocurred after doing 'dnf --enablerepo=fedora clean metadata'

Version-Release number of selected component:
dnf-0.3.0-2.git3e52d13.fc19

Additional info:
cmdline:        /usr/bin/python /bin/dnf update
executable:     /bin/dnf
kernel:         3.8.3-203.fc18.x86_64
uid:            0
ureports_counter: 1

Comment 1 Vadim Rutkovsky 2013-03-23 17:20:36 UTC
Created attachment 715180 [details]
File: backtrace

Comment 2 Vadim Rutkovsky 2013-03-23 17:20:38 UTC
Created attachment 715181 [details]
File: core_backtrace

Comment 3 Vadim Rutkovsky 2013-03-23 17:20:41 UTC
Created attachment 715182 [details]
File: environ

Comment 4 Ales Kozumplik 2013-03-25 10:00:00 UTC
reproduced by running an installation of a package once, terminating it right after the packages is downloaded, corrupting the file and then running the operation again---it fails with the traceback from comment 1 during the download.

Comment 5 Ales Kozumplik 2013-03-25 10:19:08 UTC
Targeted by commit 5ad96d2. The fix will be available with dnf-0.3.1.


Note You need to log in before you can comment on or make changes to this bug.